Bug 497193 - F10 - PPC - Unable to Create LiveCD Using Default Kickstart Files
F10 - PPC - Unable to Create LiveCD Using Default Kickstart Files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
10
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 14:07 EDT by ^mp3axe^
Modified: 2013-01-10 00:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 09:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of log. (244 bytes, text/plain)
2009-04-22 14:08 EDT, ^mp3axe^
no flags Details

  None (edit)
Description ^mp3axe^ 2009-04-22 14:07:03 EDT
Description of problem:
After the livecd-tools downloads all rpms and install them, the livecd creation process gives the error:

Error creating Live CD : Unable to find boot file /var/tmp/imgcreate-u-zw1Q/iso-
WhRlwo/ppc.

The file obviously is always a random name after the /var/tmp/ part.


Version-Release number of selected component (if applicable):
livecd-tools-020-1.fc10.ppc
spin-kickstarts-0.10.3-3.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. run 'livecd-creator -v -c fedora-livecd-desktop.ks -f F10-ppc-Live
2. watch the proper files get downloaded and installed
  
Actual results:
Error creating Live CD : Unable to find boot file /var/tmp/imgcreate-u-zw1Q/iso-
WhRlwo/ppc

Expected results:
Live CD is created successfully.

Additional info:
Output of what is displayed onscreen while livecd-creator is attached (I used the --logfile=output.txt flag).
Comment 1 ^mp3axe^ 2009-04-22 14:08:54 EDT
Created attachment 340782 [details]
Output of log.

> more output.txt
No such package acpid to remove
No such package scim-bridge-gtk.i386 to remove
No such package *debuginfo to remove
No such package memtest86+ to remove
Error creating Live CD : Unable to find boot file /var/tmp/imgcreate-u-zw1Q/iso-
WhRlwo/ppc
Comment 2 Jeremy Katz 2009-04-22 15:22:57 EDT
Can you try editing /usr/lib/python?.?/site-packages/imgcreate/live.py around line 738 and swap the arguments to each of the three self.__copy_boot_file() calls?
Comment 3 ^mp3axe^ 2009-04-22 17:53:50 EDT
I found the lines around 715 and have swapped the arguments. Please see below how I have modified them  I have added "#" in front of the original version of the code.

#        self.__copy_boot_file("mapping", isodir + "/ppc")
        self.__copy_boot_file(isodir + "/ppc", "mapping")
#        self.__copy_boot_file("bootinfo.txt", isodir + "/ppc")
        self.__copy_boot_file(isodir + "/ppc", "bootinfo.txt")
#        self.__copy_boot_file("ofboot.b", isodir + "/ppc/mac")
        self.__copy_boot_file(isodir + "/ppc/mac", "ofboot.b")

However, now I am getting the following errors:

>> livecd-creator -v --logfile=output.txt -c /usr/share/spin-kickstarts/fedora-livecd-desktop.ks -f F10-ppc-Live

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 27, in <module>
    import imgcreate
  File "/usr/lib/python2.5/site-packages/imgcreate/__init__.py", line 19, in <module>
    from imgcreate.live import *
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 717
    self.__copy_boot_file(isodir + "/ppc", "mapping")
                                                    ^
TabError: inconsistent use of tabs and spaces in indentation
Comment 4 Jeremy Katz 2009-04-23 12:31:14 EDT
Be sure to use spaces rather than tabs when you're copying; your editor might be trying to be smart and replace the spaces that are there with tabs
Comment 5 ^mp3axe^ 2009-04-23 15:09:59 EDT
Ok, I got rid of the strange spacing problems by restoring the original file and editing the lines of code directly instead of copying the line to modify.  Now I see the following errors:

/usr/sbin/setenforce: SELinux is disabled
Removing password for user root.
passwd: Success
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 136, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 120, in main
    creator.configure()
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 725, in configure
    self._create_bootconfig()
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 195, in _create_bootconfig
    self._configure_bootloader(self.__ensure_isodir())
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 742, in _configure_bootloader
    self.__write_yaboot_config(isodir, bit)
TypeError: __write_yaboot_config() takes exactly 2 arguments (3 given)
Comment 6 Jeremy Katz 2009-04-29 12:04:59 EDT
With some additional fixes from the ppc sig, this should be fixed in git and I'll get a build in before F11 is finalized
Comment 7 Jeremy Katz 2009-07-21 14:31:32 EDT
Closing out bug that's been in MODIFIED for a while.
Comment 8 ^mp3axe^ 2009-07-30 16:32:38 EDT
This is still an issue as of 07/30/09

- modified the parameters in comment #3

Question - Why on PPC is modifying the .py file necessary?

- disabled SELinux
- removed memtest installation

>Run the following command at Terminal
[root@localhost ~]# livecd-creator -c /usr/share/spin-kickstarts/fedora-livecd-desktop.ks -f test

>Resulting error after installing packages:
/usr/sbin/setenforce: SELinux is disabled
Removing password for user root.
passwd: Success
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 136, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 120, in main
    creator.configure()
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 725, in configure
    self._create_bootconfig()
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 195, in _create_bootconfig
    self._configure_bootloader(self.__ensure_isodir())
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 745, in _configure_bootloader
    self.__write_yaboot_config(isodir, bit)
TypeError: __write_yaboot_config() takes exactly 2 arguments (3 given)
You have new mail in /var/spool/mail/root
[root@localhost ~]#
Comment 9 Jeremy Katz 2009-08-14 09:57:16 EDT
It's not fixed in Fedora 10, only in Fedora 11.  Other changes beyond livecd-creator were needed and given that *no one* else had tested during the life of F10 before you did, it's not really important enough to the userbase to fix in an old release that's going to be EOL in a few months

Note You need to log in before you can comment on or make changes to this bug.